import java.io.*;

public class StrWriter
{
	String Data;
	FileOutputStream FOS;
	byte[] ByteData;


	public StrWriter(String Data, FileOutputStream FOS)
	{
		this.Data = Data;
		this.FOS = FOS;
		ConvByte();
	}

	public StrWriter(String Data, String FileName) throws FileNotFoundException
	{
		this.Data = Data;
		FOS = new FileOutputStream(FileName);
		ConvByte();
	}

	private void ConvByte()
	{
		byte temp;

		ByteData = new byte[Data.length()/2];

		int i = -1;
		int lastindex = -1;

		while(i < Data.length()-1)
		{
			temp = 0;

			temp += 16*DecValue(Data.charAt(++i));
			temp += DecValue(Data.charAt(++i));

			ByteData[++lastindex] = temp;
		}
	}

	public byte[] getByteArray()
	{
		return ByteData;
	}

	public void WriteToFile() throws IOException
	{
		FOS.write(ByteData);
		FOS.close();
	}

	public int DecValue(char c)
	{
		if(c == 'A')
			return 10;
		else if(c == 'B')
			return 11;
		else if(c == 'C')
			return 12;
		else if(c == 'D')
			return 13;
		else if(c == 'E')
			return 14;
		else if(c == 'F')
			return 15;
		else return (int)c-(int)'0';
	}
}





